Frontend overprovisioning multicore glideins
04/17/2014 04:26 PM - Igor Sfiligoi
Assignee: Parag Mhashilkar % Done: 0%
Description

The Frontend logic for calculating the number of glideins to requests assumes one job per glidein;
which may not be true for multicore glideins.

This results in requesting too many glideins, especially when there are only a few matching jobs in the queue.

Related issues:
Related to GlideinWMS - Bug #2441: Accounting issues for new glidein types New 01/31/2012

History

#1 - 07/08/2014 09:18 AM - Parag Mhashilkar

- Target version changed fromv3 2 6tov3 2 7

#2 - 07/28/2014 03:01 PM - Burt Holzman
- Priority changed from Normal to High

#3 - 07/30/2014 02:56 PM - Parag Mhashilkar

Talked to Igor about this issue as this affects/needs coordination with the operations.

Proposal (Draft)

e Entry should be configured with GLIDEIN_CPUS and it should be advertised as part of the glidefactory classad. GLIDEIN_CPUS can be a
numeric value or auto. This scheme works well with numeric value but not auto. In case of auto, there is no good way of identifying the info
unless we assume a number.

e Frontend uses GLIDEIN_CPUS from the glidefactory classad. If not available, or set to AUTO assumes 1.

¢ Frontend looks for RequestCpus in the jobs classad to determine the cpus requested. If not specified, assumes 1.

¢ When frontend tries to figure out the sites for every job, we request glideins at sites that provide N+ cpus only.

Frontend tries to figure best number of glideins it should request per entry in this case and makes the request accordingly.

Known Issues

e There is no costing and all the sites are treated equal.

#4 - 08/21/2014 11:20 AM - Parag Mhashilkar
- Status changed from New to Feedback

- Assignee changed from Parag Mhashilkar to Marco Mambelli

| am done with my testing and this should be good for review. Changes are in the branch v3/5955

#5 - 08/25/2014 03:07 PM - Marco Mambelli

- Assignee changed from Marco Mambelli to Parag Mhashilkar

Feedback sent (in short ready to be committed)
#6 - 08/27/2014 10:57 AM - Parag Mhashilkar

- Status changed from Feedback to Resolved
Merged into respective branches.

#7 - 10/15/2014 10:16 AM - Parag Mhashilkar

- Status changed from Resolved to Closed
